#include <iostream>
#include <algorithm>
#include <bits/stdc++.h>
#include <math.h>
using namespace std;

int countDigit(int v)
{
    int count = 0;
    while (v >= 1) {
        v = v / 10;
        count++;
    }
    return count;
}

int kvadrat(int a, int b)
{
    int c = 1;
    while (b > 0) {
        c = c * a;
        b--;
    }
    return c;
}

int main(){
int v;
cin >> v;
int brojac=0;
int brojCifara;


while(v>0){

brojCifara=kvadrat(10, countDigit(v) - 1);



    if (v>=brojCifara*5){
        v=v-brojCifara*5;
        brojac++;

continue;
    }

    if (v>=brojCifara*2){
        v=v-brojCifara*2;
        brojac++;

continue;
    }

    if (v>=brojCifara){
        v=v-brojCifara;
        brojac++;

    continue;
    }


}

cout << brojac;



return 0;
}